Bug 133943 - IBM Microdrive with PCMCIA adaptor cannot be mounted automatically
IBM Microdrive with PCMCIA adaptor cannot be mounted automatically
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
David Lawrence
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-28 12:05 EDT by Rodger Wang
Modified: 2013-03-05 22:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 19:38:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rodger Wang 2004-09-28 12:05:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040926
Firefox/0.10

Description of problem:
Previous FC release used to be able to detect and insert an entry in
/etc/fstab. FC3T2 with kudzu-1.1.90-1 failed to add the entry. There
is even no mount point created in /media, but I can see hde1, which is
the MD, in hardware browser.

Version-Release number of selected component (if applicable):
kudzu-1.1.90-1

How reproducible:
Always

Steps to Reproduce:
1. Find a IBM MD(or maybe any Flash disk), and insert it in a PCMCIA
adaptor
2. Insert the adaptor in the PCMCIA slot
3. boot FC3T2 with kudzu-1.1.90-1
    

Actual Results:  MD not mounted, no entry in /etc/fstab, no mount
point defined in /media

Expected Results:  should be mounted automatically

Additional info:
Comment 1 David Zeuthen 2004-10-14 18:40:59 EDT
Hi,

Unfortunately ide hotplug doesn't work very reliably, see bug 130232,
so I've removed support of this in the hal daemon; I'm hoping this
will get fixed in a subsequent release of Fedora Core. You should be
able to get by with adding an entry yourself in the /etc/fstab file.
Sorry.

Thanks,
David
Comment 2 David Zeuthen 2004-10-19 19:09:39 EDT
I've managed to write a small patch to make this hald work around this
despite bug 130232. Should be available in hal-0.4.0-5.
Comment 3 David Zeuthen 2004-10-19 19:38:23 EDT
Fix is in hal-0.4.0-5 which will be available in tomorrows upload.
Feel free to reopen this bug if it doesn't work for you.

Note You need to log in before you can comment on or make changes to this bug.